public class DataTypes {

  public static void main(String[] args) {
    
    byte aByte = 12;		
    short aShort = 1111;		
    int anInt = 1234567879;		
    long aLong = 123456789012L;
    
    float aFloat = 12.345f;		
    double aDouble = 23.456;
    double aDoubleE = 3.4567E-3;
    
    char aChar = 'x';
    
    String aString = "Hello";
    String aStringWithEscapes = "\t\tHello\n\t\t\tWorld?\b!";
    
    System.out.println("A Byte: " + aByte);
    System.out.println("A Short: " + aShort);
    System.out.println("An Int: " + anInt);
    System.out.println("A Long: " + aLong);
    System.out.println("A Float: " + aFloat);
    System.out.println("A Double: " + aDouble);
    System.out.println("A Double Using Exponent: " + aDoubleE);
    System.out.println("A Char: " + aChar);
    System.out.println("A String: " + aString);
    System.out.println("An Escaped String:\n " + aStringWithEscapes);		
    
  }
}